[arch-commits] Commit in proftpd/repos (10 files)

Eric Bélanger eric at archlinux.org
Fri Mar 16 00:18:27 UTC 2012


    Date: Thursday, March 15, 2012 @ 20:18:26
  Author: eric
Revision: 153556

archrelease: copy trunk to testing-i686, testing-x86_64

Added:
  proftpd/repos/testing-i686/
  proftpd/repos/testing-i686/PKGBUILD
    (from rev 153555, proftpd/trunk/PKGBUILD)
  proftpd/repos/testing-i686/proftpd
    (from rev 153555, proftpd/trunk/proftpd)
  proftpd/repos/testing-i686/proftpd.conf.d
    (from rev 153555, proftpd/trunk/proftpd.conf.d)
  proftpd/repos/testing-i686/proftpd.logrotate
    (from rev 153555, proftpd/trunk/proftpd.logrotate)
  proftpd/repos/testing-x86_64/
  proftpd/repos/testing-x86_64/PKGBUILD
    (from rev 153555, proftpd/trunk/PKGBUILD)
  proftpd/repos/testing-x86_64/proftpd
    (from rev 153555, proftpd/trunk/proftpd)
  proftpd/repos/testing-x86_64/proftpd.conf.d
    (from rev 153555, proftpd/trunk/proftpd.conf.d)
  proftpd/repos/testing-x86_64/proftpd.logrotate
    (from rev 153555, proftpd/trunk/proftpd.logrotate)

----------------------------------+
 testing-i686/PKGBUILD            |   51 +++++++++++++++++++++++++++++++++++++
 testing-i686/proftpd             |   41 +++++++++++++++++++++++++++++
 testing-i686/proftpd.conf.d      |    4 ++
 testing-i686/proftpd.logrotate   |    5 +++
 testing-x86_64/PKGBUILD          |   51 +++++++++++++++++++++++++++++++++++++
 testing-x86_64/proftpd           |   41 +++++++++++++++++++++++++++++
 testing-x86_64/proftpd.conf.d    |    4 ++
 testing-x86_64/proftpd.logrotate |    5 +++
 8 files changed, 202 insertions(+)

Copied: proftpd/repos/testing-i686/PKGBUILD (from rev 153555, proftpd/trunk/PKGBUILD)
===================================================================
--- testing-i686/PKGBUILD	                        (rev 0)
+++ testing-i686/PKGBUILD	2012-03-16 00:18:26 UTC (rev 153556)
@@ -0,0 +1,51 @@
+# $Id$
+# Maintainer:
+# Contributor: Daniel J Griffiths <ghost1227 at archlinux.us>
+
+pkgname=proftpd
+pkgver=1.3.4a
+pkgrel=4
+epoch=1
+pkgdesc="A high-performance, scalable FTP server"
+arch=('i686' 'x86_64')
+url="http://www.proftpd.org"
+license=('GPL')
+depends=('libldap' 'libmysqlclient' 'postgresql-libs')
+backup=('etc/proftpd.conf' 'etc/conf.d/proftpd')
+source=(ftp://ftp.proftpd.org/distrib/source/${pkgname}-${pkgver}.tar.bz2{,.asc}
+        'proftpd' 'proftpd.logrotate' 'proftpd.conf.d')
+sha1sums=('18ea33d8b9f858b6e735cc81af900f0eebee8d25'
+          '195b06e28e503f5e5ef355c3332884cc5e7954a9'
+          'b7819d725817e55b69c73e2572c21a05db48cc86'
+          '83c38ec40efb7cc09d9824b98e65cd948a195cc6'
+          'f34f60cb4fb1f4af7be7aca427cbad3cad22bbb9')
+
+build() {
+  cd "${srcdir}/${pkgname}-${pkgver}"
+
+  ./configure --prefix=/usr \
+    --libexecdir=/usr/lib \
+    --disable-pam \
+    --with-modules=mod_quotatab:mod_quotatab_sql:mod_quotatab_file:mod_tls:mod_ldap:mod_sql:mod_sql_mysql:mod_sql_postgres \
+    --sysconfdir=/etc \
+    --localstatedir=/var/run \
+    --enable-ctrls \
+    --enable-ipv6 \
+    --with-includes=/usr/include/mysql:/usr/include/postgresql \
+    --with-libraries=/usr/lib/mysql:/usr/lib/postgresql \
+    --enable-nls
+
+  make
+}
+
+package() {
+  cd "${srcdir}/${pkgname}-${pkgver}"
+
+  make DESTDIR="${pkgdir}" install
+  sed -i 's|nogroup|nobody|g' "${pkgdir}/etc/proftpd.conf"
+
+  install -Dm644 ../proftpd.logrotate "${pkgdir}/etc/logrotate.d/proftpd"
+  install -Dm644 ../proftpd.conf.d "${pkgdir}/etc/conf.d/proftpd"
+  install -Dm755 ../proftpd "${pkgdir}/etc/rc.d/proftpd"
+  install -Dm755 contrib/xferstats.holger-preiss "${pkgdir}/usr/bin/ftpstats"
+}

Copied: proftpd/repos/testing-i686/proftpd (from rev 153555, proftpd/trunk/proftpd)
===================================================================
--- testing-i686/proftpd	                        (rev 0)
+++ testing-i686/proftpd	2012-03-16 00:18:26 UTC (rev 153556)
@@ -0,0 +1,41 @@
+#!/bin/bash
+
+# source application-specific settings
+PROFTPD_ARGS=
+[ -f /etc/conf.d/proftpd ] && . /etc/conf.d/proftpd
+
+. /etc/rc.conf
+. /etc/rc.d/functions
+
+case "$1" in
+  start)
+    stat_busy "Starting ProFTPd Server"
+    /usr/sbin/proftpd ${PROFTPD_ARGS}
+    if [ $? -gt 0 ]; then
+      stat_fail
+    else
+      add_daemon proftpd
+      stat_done
+    fi
+    ;;
+  stop)
+    stat_busy "Stopping ProFTPd Server"
+    [ -f /var/run/proftpd.pid ] && kill $(cat /var/run/proftpd.pid) &> /dev/null
+    if [ $? -gt 0 ]; then
+      stat_fail
+    else
+      rm -f /var/run/proftpd.pid
+      rm_daemon proftpd
+      stat_done
+    fi
+    ;;
+  restart)
+    $0 stop
+    sleep 1
+    $0 start
+    ;;
+  *)
+    echo "usage: $0 {start|stop|restart}"
+esac
+exit 0
+

Copied: proftpd/repos/testing-i686/proftpd.conf.d (from rev 153555, proftpd/trunk/proftpd.conf.d)
===================================================================
--- testing-i686/proftpd.conf.d	                        (rev 0)
+++ testing-i686/proftpd.conf.d	2012-03-16 00:18:26 UTC (rev 153556)
@@ -0,0 +1,4 @@
+#
+# Parameters to be passed to proftpd
+#
+PROFTPD_ARGS=""

Copied: proftpd/repos/testing-i686/proftpd.logrotate (from rev 153555, proftpd/trunk/proftpd.logrotate)
===================================================================
--- testing-i686/proftpd.logrotate	                        (rev 0)
+++ testing-i686/proftpd.logrotate	2012-03-16 00:18:26 UTC (rev 153556)
@@ -0,0 +1,5 @@
+/var/log/xferlog {
+   postrotate
+      /bin/kill -HUP `cat /var/run/proftpd.pid 2>/dev/null` 2>/dev/null || true
+   endscript
+}

Copied: proftpd/repos/testing-x86_64/PKGBUILD (from rev 153555, proftpd/trunk/PKGBUILD)
===================================================================
--- testing-x86_64/PKGBUILD	                        (rev 0)
+++ testing-x86_64/PKGBUILD	2012-03-16 00:18:26 UTC (rev 153556)
@@ -0,0 +1,51 @@
+# $Id$
+# Maintainer:
+# Contributor: Daniel J Griffiths <ghost1227 at archlinux.us>
+
+pkgname=proftpd
+pkgver=1.3.4a
+pkgrel=4
+epoch=1
+pkgdesc="A high-performance, scalable FTP server"
+arch=('i686' 'x86_64')
+url="http://www.proftpd.org"
+license=('GPL')
+depends=('libldap' 'libmysqlclient' 'postgresql-libs')
+backup=('etc/proftpd.conf' 'etc/conf.d/proftpd')
+source=(ftp://ftp.proftpd.org/distrib/source/${pkgname}-${pkgver}.tar.bz2{,.asc}
+        'proftpd' 'proftpd.logrotate' 'proftpd.conf.d')
+sha1sums=('18ea33d8b9f858b6e735cc81af900f0eebee8d25'
+          '195b06e28e503f5e5ef355c3332884cc5e7954a9'
+          'b7819d725817e55b69c73e2572c21a05db48cc86'
+          '83c38ec40efb7cc09d9824b98e65cd948a195cc6'
+          'f34f60cb4fb1f4af7be7aca427cbad3cad22bbb9')
+
+build() {
+  cd "${srcdir}/${pkgname}-${pkgver}"
+
+  ./configure --prefix=/usr \
+    --libexecdir=/usr/lib \
+    --disable-pam \
+    --with-modules=mod_quotatab:mod_quotatab_sql:mod_quotatab_file:mod_tls:mod_ldap:mod_sql:mod_sql_mysql:mod_sql_postgres \
+    --sysconfdir=/etc \
+    --localstatedir=/var/run \
+    --enable-ctrls \
+    --enable-ipv6 \
+    --with-includes=/usr/include/mysql:/usr/include/postgresql \
+    --with-libraries=/usr/lib/mysql:/usr/lib/postgresql \
+    --enable-nls
+
+  make
+}
+
+package() {
+  cd "${srcdir}/${pkgname}-${pkgver}"
+
+  make DESTDIR="${pkgdir}" install
+  sed -i 's|nogroup|nobody|g' "${pkgdir}/etc/proftpd.conf"
+
+  install -Dm644 ../proftpd.logrotate "${pkgdir}/etc/logrotate.d/proftpd"
+  install -Dm644 ../proftpd.conf.d "${pkgdir}/etc/conf.d/proftpd"
+  install -Dm755 ../proftpd "${pkgdir}/etc/rc.d/proftpd"
+  install -Dm755 contrib/xferstats.holger-preiss "${pkgdir}/usr/bin/ftpstats"
+}

Copied: proftpd/repos/testing-x86_64/proftpd (from rev 153555, proftpd/trunk/proftpd)
===================================================================
--- testing-x86_64/proftpd	                        (rev 0)
+++ testing-x86_64/proftpd	2012-03-16 00:18:26 UTC (rev 153556)
@@ -0,0 +1,41 @@
+#!/bin/bash
+
+# source application-specific settings
+PROFTPD_ARGS=
+[ -f /etc/conf.d/proftpd ] && . /etc/conf.d/proftpd
+
+. /etc/rc.conf
+. /etc/rc.d/functions
+
+case "$1" in
+  start)
+    stat_busy "Starting ProFTPd Server"
+    /usr/sbin/proftpd ${PROFTPD_ARGS}
+    if [ $? -gt 0 ]; then
+      stat_fail
+    else
+      add_daemon proftpd
+      stat_done
+    fi
+    ;;
+  stop)
+    stat_busy "Stopping ProFTPd Server"
+    [ -f /var/run/proftpd.pid ] && kill $(cat /var/run/proftpd.pid) &> /dev/null
+    if [ $? -gt 0 ]; then
+      stat_fail
+    else
+      rm -f /var/run/proftpd.pid
+      rm_daemon proftpd
+      stat_done
+    fi
+    ;;
+  restart)
+    $0 stop
+    sleep 1
+    $0 start
+    ;;
+  *)
+    echo "usage: $0 {start|stop|restart}"
+esac
+exit 0
+

Copied: proftpd/repos/testing-x86_64/proftpd.conf.d (from rev 153555, proftpd/trunk/proftpd.conf.d)
===================================================================
--- testing-x86_64/proftpd.conf.d	                        (rev 0)
+++ testing-x86_64/proftpd.conf.d	2012-03-16 00:18:26 UTC (rev 153556)
@@ -0,0 +1,4 @@
+#
+# Parameters to be passed to proftpd
+#
+PROFTPD_ARGS=""

Copied: proftpd/repos/testing-x86_64/proftpd.logrotate (from rev 153555, proftpd/trunk/proftpd.logrotate)
===================================================================
--- testing-x86_64/proftpd.logrotate	                        (rev 0)
+++ testing-x86_64/proftpd.logrotate	2012-03-16 00:18:26 UTC (rev 153556)
@@ -0,0 +1,5 @@
+/var/log/xferlog {
+   postrotate
+      /bin/kill -HUP `cat /var/run/proftpd.pid 2>/dev/null` 2>/dev/null || true
+   endscript
+}




More information about the arch-commits mailing list